//---------------------------------------------------------------------------
// dbUpdateService
// 
// The cmdToke is basically a database table identifier with a java script
// object the represents the associated table row data. 
//---------------------------------------------------------------------------
app.service('dbUpdateService', function ($http, Data) {

    // A generic server side php service update request.
    this.dbUpdate = function (cmdToken, dataItem) {

        // Create the table identifier to modify.
        var jsonCmdObj = {"command":cmdToken};
       
        var cmdAndData = JSON.stringify(jsonCmdObj);
        var cmdData = JSON.stringify(dataItem);
        // Trim the command  and data strings to append.
        cmdData = cmdData.substr(1);
        cmdAndData = cmdAndData.substr(0, cmdAndData.length-1);
        cmdAndData += ','+cmdData;

        $http.post('serverservices/updateData.php', cmdAndData).success(function(results){
            Data.toast(results);
        }).error(function(results){
            Data.toast(results);
        });

    };
    
    //-----------------------------------------------------------------------
    // this.dbUpdateWithResult
    //
    // When the results are received, the result status is updated. The 
    // result is ValueItemStruct object that can be watched to signal 
    // the controller about the completion of the deletion event.
    //-----------------------------------------------------------------------
     // A generic server side php service update request.
    this.dbUpdateWithResult = function (cmdToken, dataItem, result) {

        // Create the table identifier to modify.
        var jsonCmdObj = {"command":cmdToken};
       
        var cmdAndData = JSON.stringify(jsonCmdObj);
        var cmdData = JSON.stringify(dataItem);
        // Trim the command  and data strings to append.
        cmdData = cmdData.substr(1);
        cmdAndData = cmdAndData.substr(0, cmdAndData.length-1);
        cmdAndData += ','+cmdData;

        $http.post('serverservices/updateData.php', cmdAndData).success(function(results){
            Data.toast(results);
            result.Boolean = true;
        }).error(function(results){
            Data.toast(results);
            result.Boolean = false;
        });

    };
   
    
});