<?php

class DbHandler {

    private $conn;

    function __construct() {
        require_once 'dbConnect.php';
        // opening db connection
        $db = new dbConnect();
        $this->conn = $db->connect();
    }
    /**
     * Fetching single record
     */
    public function getOneRecord($query) {
        $r = $this->conn->query($query.' LIMIT 1');
        if($r->num_rows > 0)
            return $result = $r->fetch_assoc();
        else 
            return $result = null;
    }
    /**
     * Creating new record
     */
    public function insertIntoTable($obj, $column_names, $table_name) {
        
        $c = (array) $obj;
        $keys = array_keys($c);
        $columns = '';
        $values = '';
        foreach($column_names as $desired_key){ // Check the obj received. If blank insert blank into the array.
           if(!in_array($desired_key, $keys)) {
                $$desired_key = '';
            }else{
                $$desired_key = $c[$desired_key];
            }
            $columns = $columns.$desired_key.',';
            $values = $values."'".$$desired_key."',";
        }
        $query = "INSERT INTO ".$table_name."(".trim($columns,',').") VALUES(".trim($values,',').")";
        // $query = "SELECT * FROM users";
        $r = $this->conn->query($query);

        if ($r) {
            $new_row_id = $this->conn->insert_id;
            return $new_row_id;
        } else {
            return null;
        }
    }
    /**
     * Update an existing record Password Field Only!
     */
    public function updateExistingRecord($obj, $column_names, $table_name) {
        $c = (array) $obj;
        $passKey = "Password";
        $uidKey = "UID";
        $query = "UPDATE ".$table_name." SET  Password= '".$c[$passKey]."' WHERE UID=".$c[$uidKey].";";
        $r = $this->conn->query($query);

        if ($r) {
            $info = $this->conn->info;
            return $info;
        } else {
            return null;
        }
    }
    public function getSession(){
        if (!isset($_SESSION)) {
            session_start();
        }
        $sess = array();
        if(isset($_SESSION['UID']))
        {
            $sess["UID"] = $_SESSION['UID'];
            $sess["UserName"] = $_SESSION['UserName'];
            $sess["Email"] = $_SESSION['Email'];
            $sess["Level"] = $_SESSION['Level'];
            $sess["Company"] = $_SESSION['Company'];
        }
        else
        {
            $sess["UID"] = '';
            $sess["UserName"] = 'Guest';
            $sess["Email"] = '';
            $sess["Level"] = (string) USER_USER;
            $sess["Company"] = '';
        }
        return $sess;
    }
    public function destroySession(){
        if (!isset($_SESSION)) {
            session_start();
        }
        if(isSet($_SESSION['UID']))
        {
            unset($_SESSION['UID']);
            unset($_SESSION['UserName']);
            unset($_SESSION['Email']);
            unset($_SESSION['Level']);
            unset($_SESSION['Company']);
            $info='info';
            if(isSet($_COOKIE[$info]))
            {
                setcookie ($info, '', time() - $cookie_time);
            }
            $msg="Logged Out Successfully...";
        }
        else
        {
            $msg = "Not logged in...";
        }
        return $msg;
    }
 
}

?>
