/*******************************************************************************
* 
*    ULTRA STEREO LABS CONFIDENTIAL
*    _____________________________________________________________________
* 
*       Copyright (c) 2014 - 2015 Ultra Stereo Labs Incorporated 
*                         All Rights Reserved.
* 
*    NOTICE:  All information contained herein is, and remains
*    the property of Ultra Stereo Labs Incorporated and its suppliers,
*    if any.  The intellectual and technical concepts contained
*    herein are proprietary to Ultra Stereo Labs Incorporated
*    and its suppliers and may be covered by U.S. and Foreign Patents,
*    in process, and are protected by trade secret or copyright law.
*    Dissemination of this information or reproduction of this material
*    is strictly forbidden unless prior written permission is obtained
*    from Ultra Stereo Labs Incorporated. 181 Bonetti Drive, San Luis Obispo, 
*    California 93401-7397, USA – www.uslinc.com
*
*    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, 
*    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
*    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
*    IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
*    CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
*    TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE 
*    SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
*
*
*******************************************************************************/
//---------------------------------------------------------------------------
// GroupsDataDisplayCtrl
// 
// This assumes that the injected scope contains a list collection.
//---------------------------------------------------------------------------
app.controller('GroupsDataDisplayCtrl', function ($scope, dbRequestService) {
    // Declare and object to use as the data source for the view binding.
    var groupsDataList = [];
    
    $scope.groupsList = groupsDataList;
    // Do a request for groups data
    // Expose a function to the view, a button click action.
    $scope.testGroupsDbCmd = function () {
        // Flush the array, clears the collestion.
        groupsDataList.length = 0;
        
        // The service requires a reference where to store the results and
        // parameters to control what is to be requested form the server 
        // side php code through the dbRequestService. Note that you muse 
        // pass in the scoped reference if you want all the methods and 
        // properties like watch detection.
        dbRequestService.dbRequest($scope.groupsList, EnumDbCmds.GROUPS, "", "");
    };
});