<!DOCTYPE html>
<html class="no-js" ng-app="lssApp" lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
        <?php // Redirect when running https
         /*
         if ($_SERVER["HTTPS"] != "on")
         {
           $pageURL = "https://" . $_SERVER["SERVER_NAME"].$_SERVER["REQUEST_URI"];
           echo "<meta http-equiv=\"refresh\" content=\"0;URL=" . $pageURL . "\">\n";
         } 
         */
        ?>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"> 
        <title>LSS Database</title>
        <!-- Application icon -->
        <link href="images/favicon.ico" rel="icon" type="image/x-icon" />
        <!-- Styles -->
        <link rel="stylesheet" href="css/bootstrap.min.css">
        <link rel='stylesheet' href='css/lssnavbar.css'>
        <link rel="stylesheet" href="css/nv.d3.css" type="text/css"/>
        <link rel="stylesheet" href="css/toaster.css">
        <link rel="stylesheet" href="css/ui-grid.css" >
        <link rel="stylesheet" href="css/font-awesome.css">
        <link rel="stylesheet" href="css/dropdown.css"/>
        <link rel="stylesheet" href="css/custom.css">
        <base href="/" />
        <script language="javascript">
                    // Redirect to https
                    /*
                    if(window.location.protocol !== 'https:') {
                        location.href = location.href.replace("http://", "https://");
                    }
                    */
                    if (document.location.search.match(/type=embed/gi)) {
                        window.parent.postMessage('resize', "*");
                    }
                    window.console = window.console || function (t) {
                    };
                    window.open = function () {
                        console.log('window.open is disabled.');
                    };
                    window.print = function () {
                        console.log('window.print is disabled.');
                    };
                    // Support hover state for mobile.
                    if (false) {
                        window.ontouchstart = function () {
                        };
                    }
                    // Tick Formatter for graphs
                    function TickToString(d){
                        if(d>1 || d<-1){ return d.toString(); }
                        return d3.format('.03g')(d);
                    };
        </script>
    </head>
    <angled-navbar affixed='affixed' brand='brand' inverse='inverse' menus='menus' navfn='navfn(action)'></angled-navbar>
</header>
<body ng-controller="navbarCtrl">
    <div class="container">

        <div data-ng-view="" id="ng-view" class="slide-animation"></div>

    </div>
</body>
<toaster-container toaster-options="{'time-out': 3000}"></toaster-container>
<!-- References -->    
<script src="lib/angular.min.js"></script>
<script src="lib/angular-sanitize.min.js"></script>
<script src="lib/angular-route.min.js"></script>
<script src="lib/d3.min.js" type="text/javascript"></script>
<script src="lib/nv.d3.min.js" type="text/javascript"></script>
<script src="lib/angular-nvd3.js" type="text/javascript"></script>
<script src="lib/ui-bootstrap-tpls-0.10.0.min.js"></script>
<script src="lib/jquery-2.1.3.min.js"></script>
<script src="lib/jquery.cookie.js" type="text/javascript"></script>
<script src='lib/bootstrap.min.js'></script>
<script src="lib/angular-dropdowns.min.js"></script>
<script src="lib/angular-animate.min.js" ></script>
<script src="lib/toaster.js"></script>
<script src="lib/appEnum.js"></script>
<script src="lib/dataStructs.js"></script>
<script src="lib/angular-filter.min.js"></script>
<script src="lib/angular-drag-and-drop-lists.js"></script>
<script src="lib/ui-grid.min.js"></script>

<!-- Module reference -->
<script src="app/app.js"></script>
<script src="app/data.js"></script>
<script src="components/dropdowns.js"></script>
<script src="components/createDialog.js" type="text/javascript"></script>

<!-- Factories service shared data -->
<script src="services/allDataListSharedFactory.js"></script>
<!-- Controller references -->
<script src="controllers/addUserController.js" type="text/javascript"></script>
<script src="controllers/lssDataDisplayController.js" type="text/javascript"></script>
<script src="controllers/ScreenController.js" type="text/javascript"></script>
<script src="controllers/dbAdminController.js" type="text/javascript"></script>
<script src="controllers/dbDeleteTestController.js" type="text/javascript"></script>
<script src="controllers/dbRequestTestController.js" type="text/javascript"></script>
<script src="controllers/dbUpdateTestController.js" type="text/javascript"></script>
<script src="controllers/dbAddTestController.js" type="text/javascript"></script>
<script src="controllers/emailTestController.js" type="text/javascript"></script>
<script src="controllers/lssnavbar.js" type="text/javascript"></script>
<script src="controllers/modifyUserController.js" type="text/javascript"></script>
<script src="controllers/newCompanyController.js" type="text/javascript"></script>
<script src="controllers/usersDataDisplayCtrl.js" type="text/javascript"></script>
<script src="controllers/userGroupsDataDisplayCtrl.js" type="text/javascript"></script>
<script src="controllers/groupsDataDisplayCtrl.js" type="text/javascript"></script>
<script src="controllers/theaterGroupsDataDisplayCtrl.js" type="text/javascript"></script>
<script src="controllers/authCtrl.js" type="text/javascript"></script>
<script src="controllers/modifyGroupsController.js" type="text/javascript"></script>
<script src="controllers/mailAdminController.js" type="text/javascript"></script>
<script src="controllers/lssTestDataController.js" type="text/javascript"></script>
<script src="controllers/displaysettingscontroller.js" type="text/javascript"></script>
<script src="controllers/notificationController.js" type="text/javascript"></script>
<Script src="controllers/notificationAdminController.js" type="text/javascript"></script>
<!-- Service references -->
<script src="services/dbAddService.js" type="text/javascript"></script>
<script src="services/dbAdminService.js" type="text/javascript"></script>
<script src="services/dbDeleteService.js" type="text/javascript"></script>
<script src="services/dbRequestService.js" type="text/javascript"></script>
<script src="services/dbUpdateService.js" type="text/javascript"></script>
<script src="services/mailService.js" type="text/javascript"></script>
<script src="services/lssTestDataService.js" type="text/javascript"></script>
<script src="services/notificationService.js" type="text/javascript"></script>

</html>
