#!/usr/bin/env python
import sys

BLACK, RED, GREEN, YELLOW, BLUE, MAGENTA, CYAN, WHITE = range( 8 )

# Only 8 colors all printed in Bold. Set newline False to continue same line
def cprint( text, color = WHITE, newline = True ):
    if( newline ):
        text = text + "\n"
    if sys.stdout.isatty():
        seq = "\x1b[1;%dm" % ( 30 + color ) + text + "\x1b[0m"
        sys.stdout.write( seq )
    else:
        sys.stdout.write( text )
